A library for Dart developers that want to interact with the JMB Aqualight.

This library communicates over UDP with your controller. Make sure that your are
connected to the controller's WiFi network.

This library is currently used by the JMB Aqualight apps. Available for iOS and
Android.

Created from templates made available by Stagehand under a BSD-style
[license](https://github.com/dart-lang/stagehand/blob/master/LICENSE).


## Usage

A simple usage example:

```dart
import 'package:jmb_aqualight/jmb_aqualight.dart';

main() async {

  // Connect with your controller.
  var connectionInfo = await connect();

  // Synchronize time.
  await timeSync(connectionInfo);
}
```

For any other usages, see the example in `example/jmb_aqualight_example.dart`.


## Developer notes

To publish, run `pub publish` (`--dry-run`). Make sure to update the version 
number.