import 'packets-general.dart' show zeros, POSTFIX, PREFIX, Packet;

const DISCOVERY_PREFIX = '17000003';
const DISCOVERY_CALL = 'ddeeff';
const DISCOVERY_POSTFIX = 'e3';

Packet createDiscoveryPacket() {
  final data = PREFIX +
      DISCOVERY_PREFIX +
      DISCOVERY_CALL +
      zeros(104) +
      DISCOVERY_POSTFIX +
      POSTFIX;
  return Packet(data, true);
}
